Bug 133134 - initscripts should not assume system has usb
Summary: initscripts should not assume system has usb
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-09-21 20:14 UTC by Bernard Johnson
Modified: 2014-03-17 02:48 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-22 06:18:58 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Bernard Johnson 2004-09-21 20:14:21 UTC
Description of problem:
rc.sysinit attempts to mount usbfs even if computer doesn't have usb.

From bootup sequence:
INIT: version 2.85 booting
mount: mount point /proc/bus/usb does not exist
                Welcome to Fedora Core
                Press 'I' to enter interactive startup.

Version-Release number of selected component (if applicable):
initscripts-7.80-1

How reproducible:
Always, if the computer doesn't have USB.

Steps to Reproduce:
1.  Boot on a computer without USB
2.
3.
  
Actual results:


Expected results:
No message.

Additional info:
--- rc.sysinit.orig     2004-09-21 13:34:52.000526309 -0400
+++ rc.sysinit  2004-09-21 13:36:43.000546794 -0400
@@ -24,7 +24,7 @@
  
 # Mount /proc and /sys (done here so volume labels can work with fsck)
 mount -n -t proc /proc /proc
-mount -n -t usbfs /proc/bus/usb /proc/bus/usb
+test -d /proc/bus/usb && mount -n -t usbfs /proc/bus/usb /proc/bus/usb
 mount -n -t sysfs /sys /sys >/dev/null 2>&1
  
 . /etc/init.d/functions

Comment 1 Bill Nottingham 2004-09-22 06:18:58 UTC
Fixed in cvs.


Note You need to log in before you can comment on or make changes to this bug.